cryptonite-0.25: Cryptography Primitives sink

License | BSD-style
Maintainer | Olivier Chéron <olivier.cheron@gmail.com>
Stability | stable
Portability | good
Safe Haskell | None
Language | Haskell2010

Crypto.Cipher.CAST5

Description

Synopsis

- data CAST5

# Documentation

data CAST5 Source #

CAST5 block cipher (also known as CAST-128). Key is between 40 and 128 bits.

Instances

Cipher CAST5 Source # |
Instance details Defined in Crypto.Cipher.CAST5 Methods cipherInit :: ByteArray key => key -> CryptoFailable CAST5 Source # cipherName :: CAST5 -> String Source # cipherKeySize :: CAST5 -> KeySizeSpecifier Source #
BlockCipher CAST5 Source # |

Instance details

Defined in Crypto.Cipher.CAST5

Methods

blockSize :: CAST5 -> Int Source #

ecbEncrypt :: ByteArray ba => CAST5 -> ba -> ba Source #

ecbDecrypt :: ByteArray ba => CAST5 -> ba -> ba Source #

cbcEncrypt :: ByteArray ba => CAST5 -> IV CAST5 -> ba -> ba Source #

cbcDecrypt :: ByteArray ba => CAST5 -> IV CAST5 -> ba -> ba Source #

cfbEncrypt :: ByteArray ba => CAST5 -> IV CAST5 -> ba -> ba Source #

cfbDecrypt :: ByteArray ba => CAST5 -> IV CAST5 -> ba -> ba Source #

ctrCombine :: ByteArray ba => CAST5 -> IV CAST5 -> ba -> ba Source #

aeadInit :: ByteArrayAccess iv => AEADMode -> CAST5 -> iv -> CryptoFailable (AEAD CAST5) Source #